> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nox.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Manufacturer Devices

> Get information about all NOX connected devices
 associated with your manufacturer account.



## OpenAPI

````yaml /api-docs/manufacturer/openapi-manufacturer.json get /v1/manufacturer/devices
openapi: 3.1.0
info:
  title: NOX Energy API - Manufacturer
  description: >
    # Manufacturer API Documentation


    This documentation shows only the endpoints available to manufacturer users.


    ## Authentication


    1. Get your API key from [NOX Energy](mailto:support@nox.energy).

    2. Include the API key in your API calls with the header: `x-api-key:
    YOUR_API_KEY`.


    ## Access Level


    This documentation is specifically for **manufacturer users** who have
    access to these endpoints.


    Base URL: [https://api.nox.energy](https://api.nox.energy)
  version: 1.0.0
servers:
  - url: https://api.nox.energy
    description: Production Server
security:
  - ApiKeyAuth: []
tags:
  - name: Asset Info
    description: API to get basic information about your assets.
  - name: Manufacturer Control
    description: API for manufacturer control specific endpoints.
  - name: User Management
    description: API endpoints to manage users and their data.
paths:
  /v1/manufacturer/devices:
    get:
      tags:
        - Asset Info
      summary: Get Manufacturer Devices
      description: |-
        Get information about all NOX connected devices
         associated with your manufacturer account.
      operationId: get_manufacturer_devices_v1_manufacturer_devices_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 4000
            minimum: 1
            description: >

              The maximum number of items to return per page of results.


              This should be used together with the `next_token` parameter to
              paginate through results.


              Read the pagination parameter documentation for more details.
            default: 1000
            title: Limit
          description: >

            The maximum number of items to return per page of results.


            This should be used together with the `next_token` parameter to
            paginate through results.


            Read the pagination parameter documentation for more details.
        - name: next_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >

              The `next_token` is a token used to retrieve the next page of
              results when there are more results

              than can fit in a single page(=API response).


              By default, the API will return a `next_token` of the first page
              if no token was given as a parameter.


              If the token is `null` you have reached the end of the results.


              This should be used together with the `limit` parameter to
              paginate through results.




              To get all results of your call, you can keep calling the same API
              call with the previously returned `next_token` until it returns
              `null`.
            title: Next Token
          description: >

            The `next_token` is a token used to retrieve the next page of
            results when there are more results

            than can fit in a single page(=API response).


            By default, the API will return a `next_token` of the first page if
            no token was given as a parameter.


            If the token is `null` you have reached the end of the results.


            This should be used together with the `limit` parameter to paginate
            through results.




            To get all results of your call, you can keep calling the same API
            call with the previously returned `next_token` until it returns
            `null`.
        - name: device_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >

              The ID of the device to filter on. If not provided, all devices
              are returned.
            title: Device Id
          description: >

            The ID of the device to filter on. If not provided, all devices are
            returned.
      responses:
        '200':
          description: Successful response for thermal-control API
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Get Manufacturer Devices V1 Manufacturer Devices Get
              example:
                data:
                  - country: BE
                    device_id: device_id_123
                    energy_supplier: Energy Supplier A
                    auth_origin: nox
                    dhw:
                      temperature_upper_bound: 50
                      temperature_lower_bound: 40
                    optimization_settings:
                      pv_self_consumption: true
                      dynamic_tariff: true
                      flex_trading: false
                  - country: BE
                    device_id: device_id_456
                    energy_supplier: Energy Supplier B
                    auth_origin: supplier
                    dhw:
                      temperature_upper_bound: 55
                      temperature_lower_bound: 45
                    optimization_settings:
                      pv_self_consumption: false
                      dynamic_tariff: false
                      flex_trading: true
                meta:
                  manufacturer: Manufacturer A
                  next_token: '123556777'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key authentication. Enter your API key in the format: YOUR_API_KEY'

````